Pular para o conteúdo

Operações de maquininha

Base: https://api.nivesistemas.com.br · 6 endpoints

Obter relatório

Janela do terminal
curl -X GET "https://api.nivesistemas.com.br/maquininha-operacoes/report" \
-H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \
-H "X-Store-Slug: loja-demo"

Listar operações de maquininha

Janela do terminal
curl -X GET "https://api.nivesistemas.com.br/maquininha-operacoes" \
-H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \
-H "X-Store-Slug: loja-demo"

Status

Parâmetros de rota: id

Janela do terminal
curl -X GET "https://api.nivesistemas.com.br/maquininha-operacoes/{id}/status" \
-H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \
-H "X-Store-Slug: loja-demo"

Detalhe

Parâmetros de rota: id

Janela do terminal
curl -X GET "https://api.nivesistemas.com.br/maquininha-operacoes/{id}" \
-H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \
-H "X-Store-Slug: loja-demo"

Criar operação de maquininha

Janela do terminal
curl -X POST "https://api.nivesistemas.com.br/maquininha-operacoes" \
-H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \
-H "X-Store-Slug: loja-demo"

Excluir

Parâmetros de rota: id

Janela do terminal
curl -X DELETE "https://api.nivesistemas.com.br/maquininha-operacoes/{id}" \
-H "Authorization: Bearer sl_live_exemplo_abc123xyz789" \
-H "X-Store-Slug: loja-demo"